Introduction
Changelog
Usage
Authentication
Headers
Errors
Rate Limiting
Webhooks
OAuth 2.0
User
Devices
Aggregation
Bills
Budgets
Challenges
CDR
Configuration
Contacts
Events
Goals
Pay Day
Payments
Reports
Surveys
Calculators
Images
Financial Passport
Users
Accounts
Transactions
get

/messages/unread

Lists all unread messages. Messages marked as read will not be returned.

Authorization

oauth2 - password
oauth2 - authorizationCode
oauth2 - clientCredentials
apiKey - Authorization

Request Parameters

6 Headers

Responses

1 Example
Schema
array[object]
$schema: http://json-schema.org/draft-04/schema#
id
integer

Unique ID of the message

4 validations + required
event
string

Generic event name key. Can be used to classify the message origin based on the triggering event.

1 validation + required
user_event_id
integer

Unique ID of the user event triggering the message

4 validations
placement
integer

Placement value allows ordering messages based on their importance. Values are descending in importance.

4 validations + required
persists
boolean

Message will persist as unread and cannot be dismissed. Marking a message as read with this property will fail.

1 validation + required
auto_dismiss
boolean

Indicates the client app should automatically mark the message as read when interacted with. Client apps should update this property manually.

1 validation + required
read
boolean

Indicates the message has been read or dismissed by the user. Client apps should update this property manually.

1 validation + required
interacted
boolean

Indicates the message has been interacted with by either tapping a link or dismissing. Client apps should update this property manually.

1 validation + required
message_types
array[string]

Message types of the message. Indicates the locations in the app the message should be rendered or how the message should be consumed.

1 validation + required
title
string

Title of the message

1 validation
content_type
string

Indicates the content type of the message and how it should be rendered

  • html - The content is an HTML payload and should be rendered in a web view
  • image - The content contains an image. Image should be fetched and rendered from the URL
  • text - The content contains text only and possibly an icon. Use design_type to determine how to render the content
  • video - The content contains a video. Video should be streamed from the URL provided
1 validation + required
content
oneOf
required
action
object
metadata
object

This attribute can be used to provide any extra data that the client app might need. Read only.

Send a Test Request

Send requests directly from the browser (CORS must be enabled)
$$.env
1 variable not set
Authorization